com.sun.tdk.specdiff.html.stat

## Class DocumentStat

- java.lang.Object
- - com.sun.tdk.specdiff.html.stat.DocumentStat

- All Implemented Interfaces:
    java.lang.Comparable<DocumentStat>

      public class DocumentStat
      extends java.lang.Object
      implements java.lang.Comparable<DocumentStat>

  Document statistic VO. Not thread safe!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentStat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroup(DocumentStatGroup group)`
    `void` | `addGroups(java.util.Collection<DocumentStatGroup> groups)`
    `void` | `addProblem(Problem problem)`
    `void` | `addProblems(java.util.Collection<Problem> problems)`
    `void` | `clearGroups()`
    `void` | `clearProblems()`
    `int` | `compareTo(DocumentStat other)`
    `Problem` | `createProblem(java.lang.String contextId, java.lang.String assertionId, ProblemType pt)`
    `boolean` | `equals(java.lang.Object o)`
    `DocumentStats` | `getChildStats()`
    `protected java.lang.String` | `getFolderName()` Returns folder name
    `DocumentStatGroup` | `getGroup(java.lang.String name)`
    `java.util.Collection<DocumentStatGroup>` | `getGroupList()`
    `protected java.lang.String` | `getLocalName()` Returns local file name
    `org.outerj.daisy.diff.html.modification.ModificationType` | `getModificationType()`
    `java.lang.String` | `getName()`
    `java.util.Collection<Problem>` | `getProblemList()`
    `int` | `hashCode()`
    `boolean` | `hasProblems()`
    `void` | `removeGroup(DocumentStatGroup group)`
    `void` | `removeGroups(java.util.Collection<DocumentStatGroup> groups)`
    `void` | `removeProblem(Problem problem)`
    `void` | `removeProblems(java.util.Collection<Problem> problems)`
    `void` | `setChildStats(DocumentStats stats)`
    `void` | `setModificationType(org.outerj.daisy.diff.html.modification.ModificationType mt)`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentStat

          public DocumentStat()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getModificationType

          public org.outerj.daisy.diff.html.modification.ModificationType getModificationType()

    - #### setModificationType

          public void setModificationType(org.outerj.daisy.diff.html.modification.ModificationType mt)

    - #### getGroupList

          public java.util.Collection<DocumentStatGroup> getGroupList()

    - #### getGroup

          public DocumentStatGroup getGroup(java.lang.String name)

    - #### addGroups

          public void addGroups(java.util.Collection<DocumentStatGroup> groups)

    - #### addGroup

          public void addGroup(DocumentStatGroup group)

    - #### removeGroups

          public void removeGroups(java.util.Collection<DocumentStatGroup> groups)

    - #### removeGroup

          public void removeGroup(DocumentStatGroup group)

    - #### clearGroups

          public void clearGroups()

    - #### getProblemList

          public java.util.Collection<Problem> getProblemList()

    - #### addProblems

          public void addProblems(java.util.Collection<Problem> problems)

    - #### addProblem

          public void addProblem(Problem problem)

    - #### removeProblems

          public void removeProblems(java.util.Collection<Problem> problems)

    - #### removeProblem

          public void removeProblem(Problem problem)

    - #### clearProblems

          public void clearProblems()

    - #### hasProblems

          public boolean hasProblems()

    - #### createProblem

          public Problem createProblem(java.lang.String contextId,
                                       java.lang.String assertionId,
                                       ProblemType pt)

    - #### getChildStats

          public DocumentStats getChildStats()

    - #### setChildStats

          public void setChildStats(DocumentStats stats)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(DocumentStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DocumentStat>`

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns local file name

    - #### getFolderName

          protected java.lang.String getFolderName()

      Returns folder name